CURLINFO_PROXY_SSL_VERIFYRESULT(3)

NAME
CURLINFO_PROXY_SSL_VERIFYRESULT - get the result of the proxy certificate verification

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_PROXY_SSL_VERIFYRESULT, long *result);

DESCRIPTION
Pass a pointer to a long to receive the result of the certificate verification that was requested (using the CURLOPT_PROXY_SSL_VERIFYPEER(3) option. This is only used for HTTPS proxies.

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode res;
  long verifyresult;
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
  curl_easy_setopt(curl, CURLOPT_PROXY, "https://proxy:443");
  res = curl_easy_perform(curl);
  curl_easy_getinfo(curl, CURLINFO_PROXY_SSL_VERIFYRESULT, &verifyresult);
  printf("The peer verification said %s\n", verifyresult?
         "fine":"BAAAD");
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.52.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3), CURLINFO_SSL_VERIFYRESULT(3),